{
  pkgs
, lib
, fetchFromGitHub
, python3Packages
, python3
, extraPkgs ? pkgs: []
}:

python3Packages.buildPythonApplication rec {
  pname = "cfscrape";
  version = "2.1.1";

  src = fetchFromGitHub {
    owner = "Anorov";
    repo = "cloudflare-scrape";
    rev = version;
    sha256 = "00ijxjkk0fz4yi5wazvjdzyhsqpqnck3aa2njjk4z3i7k82jbvxq";
  };

  propagatedBuildInputs = with python3.pkgs; [ requests ];
  
  doCheck = false;
  
  meta = with lib; {
    homepage = "https://github.com/Anorov/cloudflare-scrape";
    description = "A Python module to bypass Cloudflare's anti-bot page.";
    license = licenses.mit;
    maintainers = [];
    platforms = platforms.linux;
  };
}
